package com.fs.fastGpt.mapper;

import com.fs.fastGpt.domain.FastGptRoleTag;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * AI的标签Mapper接口
 *
 * @author fs
 * @date 2024-11-04
 */
public interface FastGptRoleTagMapper
{
    /**
     * 查询AI的标签
     *
     * @param id AI的标签主键
     * @return AI的标签
     */
    public FastGptRoleTag selectFastGptRoleTagById(Long id);

    /**
     * 查询AI的标签列表
     *
     * @param fastGptRoleTag AI的标签
     * @return AI的标签集合
     */
    public List<FastGptRoleTag> selectFastGptRoleTagList(FastGptRoleTag fastGptRoleTag);

    @Select("select * from fastgpt_role_tag where role_id = #{roleId}")
    public List<FastGptRoleTag> selectFastGptRoleTagListByRoleId(Long roleId);

    /**
     * 新增AI的标签
     *
     * @param fastGptRoleTag AI的标签
     * @return 结果
     */
    public int insertFastGptRoleTag(FastGptRoleTag fastGptRoleTag);

    /**
     * 修改AI的标签
     *
     * @param fastGptRoleTag AI的标签
     * @return 结果
     */
    public int updateFastGptRoleTag(FastGptRoleTag fastGptRoleTag);

    /**
     * 删除AI的标签
     *
     * @param id AI的标签主键
     * @return 结果
     */
    public int deleteFastGptRoleTagById(Long id);

    /**
     * 批量删除AI的标签
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteFastGptRoleTagByIds(Long[] ids);
}
